# List timelines

Section: Your data › Timelines

```
GET https://ba.joexyz.online/api/v1/me/timelines?limit=20&cursor=
```

Lists your timelines, newest first. Results are paginated: follow `pagination.nextCursor` while `pagination.hasMore` is `true`.

**Parameters**

- `limit`: Page size, 1–100. Defaults to 50.
- `cursor`: The `pagination.nextCursor` of the previous page.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Query parameters

| Name | Value |
| --- | --- |
| `limit` | `20` |
| `cursor` |  |

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": "j97aztjw1zgcc9b1zq1e5h7rxn7sggfk",
      "createdAt": "2025-10-15T19:52:47.261Z",
      "name": "Shiro & Kuro Heavy INS 28,831,808pt",
      "description": "This timeline may look short and innocent, but there are many things you need to restart for. This clear requires a lv.1 Dress Aru.\n\n- **Team:** Seia, UE50+ Mika, lv.1 D.Aru, Shun, Rio, Kisaki\n- **Starter skills:** Seia, D.Aru, Rio",
      "horizontalSeparatorSize": 50,
      "itemSpacing": -6,
      "items": [
        {
          "type": "student",
          "studentId": "seia",
          "targetId": "mika",
          "trigger": "AUTO"
        },
        {
          "type": "student",
          "studentId": "rio",
          "targetId": "mika",
          "trigger": "9.9"
        },
        {
          "type": "student",
          "studentId": "aru_dress",
          "targetId": "mika",
          "trigger": "3:38.933"
        },
        {
          "type": "student",
          "studentId": "mika",
          "notes": "4.23m",
          "trigger": "7.3"
        },
        {
          "type": "student",
          "studentId": "kisaki",
          "targetId": "mika",
          "trigger": "3:35.100"
        },
        {
          "type": "student",
          "studentId": "mika",
          "copy": true,
          "trigger": "ASAP"
        },
        {
          "type": "student",
          "studentId": "seia",
          "targetId": "mika",
          "trigger": "AUTO"
        },
        {
          "type": "separator",
          "orientation": "vertical"
        },
        {
          "type": "student",
          "studentId": "mika",
          "notes": "2.75m",
          "trigger": "AUTO(4.9)"
        },
        {
          "type": "text",
          "text": "D.Aru dies"
        },
        {
          "type": "student",
          "studentId": "rio",
          "targetId": "mika",
          "trigger": "2.8"
        },
        {
          "type": "student",
          "studentId": "mika",
          "trigger": "ASAP"
        }
      ],
      "showCreator": true,
      "verticalSeparatorSize": 50,
      "visibility": "public"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "07d23c264a3549a177fb563a0474ab373fcb96be546277a906beaccc82054c24c3fec454fcbac5f109686b34d8518eb779dc4aedc91b85699fe89027eac3bb614a243766714da4e2eaeb04fa880a6ab9bec1ee937542b19b5c4d6a02be5200cebc47f4e41aec13a559ccee386423c463dfe66f0d528c85b8f04c419496c797e348e7c352f325338ab1a80063367ca7c645b06dd2f84d21fe91f83f"
  }
}
```

## Examples

### cURL

```bash
curl 'https://ba.joexyz.online/api/v1/me/timelines?limit=20&cursor=' \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/timelines?limit=20&cursor=", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/timelines?limit=20&cursor="
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/timelines?limit=20&cursor=", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
